## TmplTemplateLocator TmplTemplateLocator |

## Functions

TmplTemplateLocator * | tmpl_template_locator_new ()
void | tmpl_template_locator_append_search_path ()
void | tmpl_template_locator_prepend_search_path ()
GInputStream * | tmpl_template_locator_locate ()
gchar ** | tmpl_template_locator_get_search_path ()

## Types and Values

#define | TMPL_TYPE_TEMPLATE_LOCATOR
struct | TmplTemplateLocatorClass
| TmplTemplateLocator

## Object Hierarchy

        GObject
        ╰── TmplTemplateLocator

## Description

## Functions

### tmpl_template_locator_new ()

    TmplTemplateLocator *
    tmpl_template_locator_new (void);

### tmpl_template_locator_append_search_path ()

    void
    tmpl_template_locator_append_search_path
                                   (TmplTemplateLocator *self,
                                    const gchar *path);

### tmpl_template_locator_prepend_search_path ()

    void
    tmpl_template_locator_prepend_search_path
                                   (TmplTemplateLocator *self,
                                    const gchar *path);

### tmpl_template_locator_locate ()

    GInputStream *
    tmpl_template_locator_locate (TmplTemplateLocator *self,
                                  const gchar *path,
                                  GError **error);

This will resolve the relative path using the search paths found within the template loader.

#### Parameters

self | A TmplTemplateLocator. |
path | a relative path to the file |

#### Returns

A GInputStream or `NULL` and `error` is set.

[transfer full]

### tmpl_template_locator_get_search_path ()

    gchar **
    tmpl_template_locator_get_search_path (TmplTemplateLocator *self);

Gets the current search path used by the template locator.

#### Parameters

self | A TmplTemplateLocator |

#### Returns

A `NULL`-terminated array of strings.

[transfer full]

## Types and Values

### TMPL_TYPE_TEMPLATE_LOCATOR

    #define TMPL_TYPE_TEMPLATE_LOCATOR (tmpl_template_locator_get_type())

### struct TmplTemplateLocatorClass

    struct TmplTemplateLocatorClass {
      GObjectClass parent_instance;

      GInputStream *(*locate) (TmplTemplateLocator  *self,
                               const gchar          *path,
                               GError              **error);
    };

### TmplTemplateLocator

    typedef struct _TmplTemplateLocator TmplTemplateLocator;